Bug 113718 - 2.1 HTML editor - Remove unwanted functionality
Summary: 2.1 HTML editor - Remove unwanted functionality
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS-usability   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tzu-Mainn Chen
QA Contact: Daniel Berrange
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-16 19:49 UTC by Lindsay Ould
Modified: 2010-09-03 14:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-03 14:28:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lindsay Ould 2004-01-16 19:49:39 UTC
Description of problem:
Font: Visible but inactive
·	Problem: remove completely.

Undo, Redo
·	Problem: Undo not working, so canât test Redo.

Insert Web Link: works per release notes.
·	Problem: new icon looks wrong, prefer chainlink or some 
industry standard icon.

View HTML Source: Works fine but
·	Problem: html presented as one block of continuous wrapped 
text. This is difficult to read, maintain, amend etc. Previous HTML 
editor had at least some source code formatting.

Enlarge Editor: I donât understand what this does. Donât think this 
is working.
·	Problem: Not working properly - this should be removed

About Editor: No, still visible. But it is inactive.
·	Problem: Remove button



Version-Release number of selected component (if applicable):


How reproducible:always


Steps to Reproduce:
1. create article
2.edit body text
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Scott Seago 2004-01-16 22:54:57 UTC
Font should have already been removed. Try shift-reload or clearing
your browser cache. One problem with changes to the DHTMLEditor is
that the browsers cache old versions. I'm looking at the staging
server now via IE and I don't see the font menu.

Enlarge Editor is for fullscreen mode, which is currently broken for
IE. Undo and About editor are also failing for me on IE. We'll need to
look into fixing these issues next week.

Comment 2 Scott Seago 2004-01-19 20:49:06 UTC
Insert Web Link icon has been fixed.

Comment 3 Tzu-Mainn Chen 2004-01-21 04:40:50 UTC
I've checked in a fix for the Enlarge Editor functionality.

Comment 4 David Lawrence 2006-07-18 03:26:11 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.